#!/bin/sh
#
#  Usage:    sh infilt.sh [-t] [-k kernel]
#
#	You MUST first chdir to the directory containing
#		rpc2filt.awk, infilt.awk, and infilt.conf.
#
#       use the "-t" for debugging, 
#		to cause shell commands to be emitted
#		to standard output, rather than executed
#
#       use the "-k" to specify the kernel symbol file to use
#               this is important for modload'ed drivers.
#

SH=/bin/sh
RPCINFO=/usr/etc/rpcinfo
AWK=awk
CAT=cat
KERNEL=/vmunix

PATH=/usr/bin:/bin
export PATH

while true
do
	case $1 in
		-t)  	SH=$CAT ;;
		-k)  	shift
		     	KERNEL=$1 ;;
		*)	break;;
	esac
	shift
done

$RPCINFO -p 127.0.0.1 | 
	$AWK -f ./rpc2filt.awk "kernel=$KERNEL" | 
	$AWK -f ./infilt.awk ./infilt.conf "kernel=$KERNEL" - | 
	$SH

# END
